package com.openhis.web.check.appservice;


import com.core.common.core.domain.R;
import com.openhis.web.check.dto.CheckMethodDto;

/**
 * 检查方法Service接口
 *
 * @author system
 * @date 2025-07-22
 */
public interface ICheckMethodAppService{

    R<?> getCheckMethodList();

    R<?> addCheckMethod(CheckMethodDto checkMethodDto);

    R<?> updateCheckMethod(CheckMethodDto checkPartDto);

    R<?> removeCheckMethod(Long code);


}
